Name:           kopete-cryptography
Version:        1.3.0
Release:        %mkrel 2
Summary:        Encrypts and signs messages in Kopete using the OpenPGP
Group:          Graphical desktop/KDE4
License:        GPLv2+
URL:            http://extragear.kde.org/apps/kopete%20cryptography/
Source0:        kopete-cryptography-1.3.0-kde4.3.0.tar.bz2
BuildRoot:      %{_tmppath}/%{name}-%{version}-%{release}
Requires: 	kdenetwork4
Obsoletes:	%name < %version
Requires:	glibc >= 2.10.1
Requires:	libstdc++6 >= 4.4.1

%description
Kopete cryptography plugin encrypts and signs messages using the OpenPGP
standard. It also handles incoming messages that are encrypted or signed.

%description -l de
Kopete Kryptographie Plugin verschlüsselt und signiert die Nachrichten mit OpenPGP
Standard. Es verwaltet auch eingehende Nachrichten, die verschlüsselt sind oder nicht unterzeichnet.

%description -l fr
Cryptographie Kopete crypte plugin et des messages en utilisant les signes OpenPGP
standard. Il gère également les messages entrants qui sont cryptés ou signés.

%description -l es
Cifra plugin Kopete criptografía y signos mensajes utilizando el OpenPGP
estándar. También maneja los mensajes entrantes que están cifrados o firmados.

%description -l pl
Szyfruje Kopete wtyczki kryptografii i znaków wiadomości za pomocą OpenPGP
normy. To także obsługuje przychodzące wiadomości, które są zaszyfrowane lub podpisane.

%description -l sr
Копете Криптографија додатак шифрује и потписује поруке помоћу ОпенПГП
стандарда. Такође управља долазним порукама које су шифроване и потписане.

%description -l nl
Kopete cryptografie plugin versleutelt en ondertekent berichten met behulp van de OpenPGP
standaard. Het behandelt ook inkomende berichten die zijn versleuteld of ondertekend.


%files 
%defattr(-,root,root,-)
%doc COPYING COPYING.DOC COPYING.LIB
%{_kde_libdir}/kde4/kcm_kopete_cryptography.so
%{_kde_libdir}/kde4/kopete_cryptography.so
%{_kde_datadir}/kde4/services/kconfiguredialog/kopete_cryptography_config.desktop
%{_kde_datadir}/kde4/services/kopete_cryptography.desktop
%{_kde_appsdir}/kopete_cryptography/
%{_kde_docdir}/HTML/*/kopete/plugins/cryptography
%_datadir/doc/HTML/fr/kopete-cryptography/common
%_datadir/doc/HTML/fr/kopete-cryptography/index.cache.bz2
%_datadir/doc/HTML/fr/kopete-cryptography/index.docbook  
%_datadir/doc/HTML/it/kopete-cryptography/common         
%_datadir/doc/HTML/it/kopete-cryptography/index.cache.bz2
%_datadir/doc/HTML/it/kopete-cryptography/index.docbook
%_datadir/doc/HTML/pt/kopete-cryptography/common
%_datadir/doc/HTML/pt/kopete-cryptography/index.cache.bz2
%_datadir/doc/HTML/pt/kopete-cryptography/index.docbook
%_datadir/doc/HTML/sv/kopete-cryptography/common
%_datadir/doc/HTML/sv/kopete-cryptography/index.cache.bz2
%_datadir/doc/HTML/sv/kopete-cryptography/index.docbook
%_datadir/doc/HTML/uk/kopete-cryptography/common
%_datadir/doc/HTML/uk/kopete-cryptography/index.cache.bz2
%_datadir/doc/HTML/uk/kopete-cryptography/index.docbook
%_datadir/locale/*/LC_MESSAGES/kopete-cryptography.mo
#--------------------------------------------------------------------

%prep
%setup -q -n kopete-cryptography-1.3.0-kde4.3.0


%build
%{cmake_kde4}

%make


%install
rm -rf %{buildroot}

cd build
make DESTDIR=%buildroot install

%find_lang %name --with-html

%clean
rm -rf %{buildroot}


%changelog
* Sat Oct 03 2009 Texstar <texstar at gmail.com>
- rebuild for 2010

* Thu Aug 06 2009 pcserver <pcserver at hushmail.com> 
- create 

